use crate::api::v1::{get_version, health_check};
use axum::{routing, Router};

pub mod v1;

pub fn new() -> Router {
    Router::new().nest(
        "/v1",
        Router::new()
            .route("/version", routing::get(get_version))
            .route("/health", routing::get(health_check)),
    )
}
